Package mvpa :: Package misc :: Package fsl :: Module melodic :: Class MelodicResults

[hide private]
[frames] | no frames]

# Class MelodicResults

source code

Easy access to MELODIC output.

Only important information is available (important as judged by the author).

Instance Methods | [hide private]

__init__(self, path) Reads all information from the given MELODIC output path. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables | [hide private]

| path = `property(fget= lambda self: self.__respath)`
| ic = `property(fget= lambda self: self.__ic)`
| nic = `property(fget= lambda self: self.ic.extent [3])`
| funcdata = `property(fget= lambda self: self.__funcdata)`
| tr = `property(fget= lambda self: self.funcdata.extent [3])`
| tmodes = `property(fget= lambda self: self.__tmodes)`
| smodes = `property(fget= lambda self: self.__smodes)`
| icastats = `property(fget= lambda self: self.__icstats)`
| relvar_per_ic = `property(fget= lambda self: self.__icstats [:,`...``
| truevar_per_ic = `property(fget= lambda self: self.__icstats [:`...``

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, path)
(Constructor)

source code

Reads all information from the given MELODIC output path.

Overrides: object.__init__

Class Variable Details | [hide private]

### relvar_per_ic

Value:

      property(fget= lambda self: self.__icstats [:, 0])

### truevar_per_ic

Value:

      property(fget= lambda self: self.__icstats [:, 1])